% meta
\newcommand{\omissis}{[\ldots\negthinspace]} % -> [...]
\newcommand{\todo}{\colorbox{red}{\textbf{TODO!!!}}}

% titles

%% start
\newcommand{\startTitle}{
    \author{\href{mailto:\authorEmail}{\authorName}}
    \date{\today}
    \maketitle
    \cleardoublepage % put some space
}

%% end
\newcommand{\theEnd}{
\cleardoublepage
    \centering
    \rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
    \rule{\textwidth}{1pt}\vspace*{2pt}
    {\LARGE \textbf{That's All Folks!}}\\
    \textit{The End}
    \rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
    \rule{\textwidth}{4pt}
}

% maths
\newcommand*\diff{\mathop{}\!\mathrm{d}}
\newcommand*\Diff[1]{\mathop{}\!\mathrm{d^#1}}

% proof -> solution
\newenvironment{solution}[1][\proofname]{%
  \proof[Solution]%
}{\endproof}

% proof -> conjecture
\newenvironment{conjecture}[1][\proofname]{%
  \proof[Conjecture]%
}{\endproof}

% theorem
\newtheorem{thm}{Theorem}

% ... for more information ...
\newcommand{\moreinfo}{for more information}
\newcommand{\ie}{i.e.}
